Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160052 - Failure to decrypt PGP message.
Summary: Failure to decrypt PGP message.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-06-10 15:01 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-13 05:39:55 UTC


Attachments (Terms of Use)

Description David Woodhouse 2005-06-10 15:01:10 UTC
Since upgrading to FC4, Evolution can no longer display GPG-encrypted messages.
I see something like http://david.woodhou.se/evogpg.jpeg instead.

If I save the second 'attachment' which contains the encrypted message, GPG on
the command line can decrypt it just fine...

$ gpg encrypted.asc
gpg: invalid module `/usr/lib/gnupg/rsa': /usr/lib/gnupg/rsa: cannot open shared
object file: No such file or directory

You need a passphrase to unlock the secret key for
user: "David Woodhouse <david@woodhou.se>"
1536-bit RSA key, ID 243A1329, created 1996-12-05

gpg: gpg-agent is not available in this session

gpg: encrypted with 2048-bit ELG-E key, ID 07FA6550, created 2001-08-24
      "Ulrich Drepper <drepper@redhat.com>"
gpg: encrypted with 1536-bit RSA key, ID 243A1329, created 1996-12-05
      "David Woodhouse <david@woodhou.se>"
gpg: Signature made Fri 27 May 2005 16:42:28 BST using DSA key ID 79FF4474
gpg: Good signature from "Ulrich Drepper <drepper@redhat.com>"
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: D57E DDAA 0E42 151B 845D  47AB DA28 C23A 79FF 4474
gpg: WARNING: message was not integrity protected

Comment 1 David Woodhouse 2005-06-10 15:03:11 UTC
Hm. Now Evolution has locked up and doesn't redraw itself any more. I don't know
if this is related. 

Comment 2 Dave Malcolm 2005-08-24 03:17:08 UTC
Is this working in rawhide?

Comment 3 David Woodhouse 2005-09-05 19:57:04 UTC
I tried but got bored and had to kill rawhide's Evolution after it spent half an
hour talking to its IMAP servers instead of displaying the mail I wanted. See
bug #167574

Comment 4 David Woodhouse 2005-09-08 12:59:35 UTC
Yes, I can see the mail in rawhide. I had to switch back to the old IMAP back
end, and manually subscribe to the folder which contains the mail, because it's
_not_ an active folder but my fix for bug #167805 doesn't seem to apply to
rawhide's evo-data-server. Then Evo segfaulted when I unsubscribe again. But
yes, I was able to decrypt the mail.

Comment 5 Dave Malcolm 2006-01-13 05:39:55 UTC
Thanks belatedly for the update. So although there are numerous other bugs, this
one is fixed?  Closing as fixed in RAWHIDE; please reopen if this is still a
problem.


Note You need to log in before you can comment on or make changes to this bug.